#load obitools
module load bio/OBItools/3.0.1b16

#go to directory where you want to built the database

#get taxonomy
wget https://ftp.ncbi.nlm.nih.gov/pub/taxonomy/taxdump.tar.gz
obi import --taxdump taxdump.tar.gz embl143_rbcl/taxonomy/ncbi_tax

#import fasta file of rbcL database
obi import --fasta rbcl_embl143_db.fasta embl143_rbcl/rbcl_Ref

# extract taxonomic information 
obi grep --require-rank=species --require-rank=genus --require-rank=family --require-rank=phylum --require-rank=class --taxonomy embl143_rbcl/taxonomy/ncbi_tax embl143_rbcl/rbcl_Ref embl143_rbcl/rbcl_Ref_clean

obi uniq --taxonomy embl143_rbcl/taxonomy/ncbi_tax embl143_rbcl/rbcl_Ref_clean embl143_rbcl/rbcl_Ref_clean_uniq

obi grep --require-rank=family --taxonomy embl143_rbcl/taxonomy/ncbi_tax embl143_rbcl/rbcl_Ref_clean_uniq embl143_rbcl/rbcl_Ref_clean_uniq_grep

# Built database
obi build_ref_db -t 0.97 --taxonomy embl143_rbcl/taxonomy/ncbi_tax embl143_rbcl/rbcl_Ref_clean_uniq_grep embl143_rbcl/rbcl_embl143_db

#obidms is built(rbcl_embl143_db.obidms) and is used as a reference database in the Obitools3 script


