#load obitools
module load bio/OBItools/3.0.1b16

#go to directory where you want to built the database


#get taxonomy
wget https://ftp.ncbi.nlm.nih.gov/pub/taxonomy/taxdump.tar.gz
obi import --taxdump taxdump.tar.gz arctborbryo/taxonomy/ncbi_tax

#import fasta file of arctborbryo database
obi import --fasta arctborbryo_gh.fasta arctborbryo/arctborbryo_Ref

# extract taxonomic information 
obi grep --require-rank=species --require-rank=genus --require-rank=family --require-rank=phylum --require-rank=class --taxonomy arctborbryo/taxonomy/ncbi_tax arctborbryo/arctborbryo_Ref arctborbryo/arctborbryo_Ref_clean

obi uniq --taxonomy arctborbryo/taxonomy/ncbi_tax arctborbryo/rbcl_Ref_clean arctborbryo/arctborbryo_Ref_clean_uniq

obi grep --require-rank=family --taxonomy arctborbryo/taxonomy/ncbi_tax arctborbryo/arctborbryo_Ref_clean_uniq arctborbryo/arctborbryo_Ref_clean_uniq_grep

# Built database
obi build_ref_db -t 0.97 --taxonomy arctborbryo/taxonomy/ncbi_tax arctborbryo/arctborbryo_Ref_clean_uniq_grep arctborbryo/arctborbryo_db_97

#obidms is built(arctborbryo.obidms) and is used as a reference database in the Obitools3 script


