#load obitools
module load bio/OBItools/3.0.1b16

#go to directory where you want to built the database

#get taxonomy
wget https://ftp.ncbi.nlm.nih.gov/pub/taxonomy/taxdump.tar.gz
obi import --taxdump taxdump.tar.gz gh_embl143/taxonomy/ncbi_tax

#import fasta file of plant embl database
obi import --fasta gh_embl143_db_97.fasta gh_embl143/gh_embl143_Ref

# extract taxonomic information 
obi grep --require-rank=species --require-rank=genus --require-rank=family --require-rank=phylum --require-rank=class --taxonomy gh_embl143/taxonomy/ncbi_tax gh_embl143/gh_embl143_Ref gh_embl143/gh_embl143_Ref_clean

obi uniq --taxonomy gh_embl143/taxonomy/ncbi_tax gh_embl143/gh_embl143_Ref_clean gh_embl143/gh_embl143_Ref_clean_uniq

obi grep --require-rank=family --taxonomy gh_embl143/taxonomy/ncbi_tax gh_embl143/gh_embl143_Ref_clean_uniq gh_embl143/gh_embl143_Ref_clean_uniq_grep

# Built database
obi build_ref_db -t 0.97 --taxonomy gh_embl143/taxonomy/ncbi_tax gh_embl143/gh_embl143_Ref_clean_uniq_grep gh_embl143/gh_embl143_db_97

#obidms is built(gh_embl143.obidms)  and is used as a reference database in the Obitools3 script


